Skip to content

Create SEPA Transfer

POST
/v5/offramp/sepa/create-transfer

Create a one-time SEPA transfer destination for an offramp.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"iban": "DE89370400440532013000",
"beneficiaryName": "John Doe",
"eurAmount": "500.00",
"feeAmount": "0.35",
"reference": "Invoice #2024-0042"
}

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"tagHash": "0xabc123def456",
"expiresAt": 1724250000,
"bankName": "Commerzbank",
"bankCountry": "DE"
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/v5/offramp/sepa/create-transfer \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "iban": "DE89370400440532013000",
  "beneficiaryName": "John Doe",
  "eurAmount": "500.00",
  "feeAmount": "0.35",
  "reference": "Invoice #2024-0042"
}'
javascript
const response = await fetch('https://api.brrr.network/v5/offramp/sepa/create-transfer', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  'iban': 'DE89370400440532013000',
  'beneficiaryName': 'John Doe',
  'eurAmount': '500.00',
  'feeAmount': '0.35',
  'reference': 'Invoice #2024-0042'
}),
});

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Request failed: ${error.errorCode}`);
}

const data = await response.json();
console.log(data.payload);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/v5/offramp/sepa/create-transfer',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
    "iban": "DE89370400440532013000",
    "beneficiaryName": "John Doe",
    "eurAmount": "500.00",
    "feeAmount": "0.35",
    "reference": "Invoice #2024-0042"
},
)
response.raise_for_status()
print(response.json()['payload'])